eCommerce - ProductsUpdate a Product

Update a Product

curl -X PUT "https://www.my-site.com/api/site/v2/ecommerce/products/1" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-site-id: YOUR_API_KEY" \
  -d '{
  "name": "John Doe",
  "slug": "example_string",
  "enabled": "example_string",
  "weighting": "example_string",
  "expiry_date": "example_string",
  "release_date": "example_string",
  "category_array": [
    {}
  ],
  "secure_zone_array": [
    {}
  ],
  "module_field_14/product_1": "example_string",
  "module_field_14/product_2": "example_string",
  "module_field_14/product_3": "example_string",
  "module_field_14/product_4": "example_string",
  "module_field_14/product_5": "example_string",
  "module_field_14/product/inventory/1": "example_string",
  "module_field_14/product/inventory/2": "example_string",
  "module_field_14/product/inventory/3": "example_string",
  "module_field_14/product/price/aud/1": "example_string",
  "module_field_14/product/price/aud/2": "example_string",
  "module_field_14/product/price/cad/1": "example_string",
  "module_field_14/product/price/cad/2": "example_string",
  "module_field_14/product/price/eur/1": "example_string",
  "module_field_14/product/price/eur/2": "example_string",
  "module_field_14/product/price/gbp/1": "example_string",
  "module_field_14/product/price/gbp/2": "example_string",
  "module_field_14/product/price/nzd/1": "example_string",
  "module_field_14/product/price/nzd/2": "example_string",
  "module_field_14/product/price/usd/1": "example_string",
  "module_field_14/product/price/usd/2": "example_string",
  "attributes": [
    {
      "id": "example_string",
      "name": "John Doe",
      "items": [
        {
          "id": "example_string",
          "name": "John Doe",
          "enabled": "example_string",
          "module_field_14/product_attribute_option_2": "example_string",
          "module_field_14/product_attribute_option_3": "example_string",
          "module_field_14/product_attribute_option_4": "example_string",
          "module_field_14/product_attribute_option_6": "example_string",
          "module_field_14/product_attribute_option/price/aud/1": "example_string",
          "module_field_14/product_attribute_option/price/aud/2": "example_string",
          "module_field_14/product_attribute_option/price/cad/1": "example_string",
          "module_field_14/product_attribute_option/price/cad/2": "example_string",
          "module_field_14/product_attribute_option/price/eur/1": "example_string",
          "module_field_14/product_attribute_option/price/eur/2": "example_string",
          "module_field_14/product_attribute_option/price/gbp/1": "example_string",
          "module_field_14/product_attribute_option/price/gbp/2": "example_string",
          "module_field_14/product_attribute_option/price/nzd/1": "example_string",
          "module_field_14/product_attribute_option/price/nzd/2": "example_string",
          "module_field_14/product_attribute_option/price/usd/1": "example_string",
          "module_field_14/product_attribute_option/price/usd/2": "example_string",
          "module_field_14/product_attribute_option/inventory/1": "example_string"
        }
      ]
    }
  ]
}'
{}
PUT
/ecommerce/products/{id}
PUT
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: x-api-key)
x-api-keystring
Required

Your Siteglide API key

Your Siteglide API key
API Key (header: x-site-id)
x-site-idstring
Required

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
path
idstring
Required

The Product Item ID

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. Your Siteglide API key

header
x-site-idstring
Required

API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Path Parameters

idstring
Required

The Product Item ID

Example:
1

Body

application/json

Responses

OK